gslroots_lib = static_library('gslroots',
	[
		'bisection.c',
		'brent.c',
		'falsepos.c',
		'newton.c',
		'secant.c',
		'steffenson.c',
		'convergence.c',
		'fsolver.c',
		'fdfsolver.c' 
	],
	include_directories : '..'
)
gslroots_dep = declare_dependency(link_with : gslroots_lib)


gsl_tests += [ [ 'GSL Root Finding Test', files(
		'test.c',
		'test_funcs.c',
		'test.h'
	) ] ]
